Package org.apache.qpid.proton.codec

# Class UnsignedLongType

java.lang.Object
org.apache.qpid.proton.codec.UnsignedLongType

All Implemented Interfaces:
  `AMQPType<UnsignedLong>`, `PrimitiveType<UnsignedLong>`

public class UnsignedLongType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`UnsignedLongType.UnsignedLongEncoding`

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, UnsignedLong value)`
`Collection<UnsignedLongType.UnsignedLongEncoding>`
`getAllEncodings()`
`UnsignedLongType.UnsignedLongEncoding`
`getCanonicalEncoding()`
`UnsignedLongType.UnsignedLongEncoding`
`getEncoding(UnsignedLong val)`
`Class<UnsignedLong>`
`getTypeClass()`
`final void`
`write(UnsignedLong val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<UnsignedLong> getTypeClass()

### getEncoding

public UnsignedLongType.UnsignedLongEncoding getEncoding(UnsignedLong val)

### fastWrite

public void fastWrite(EncoderImpl encoder, UnsignedLong value)

### getCanonicalEncoding

public UnsignedLongType.UnsignedLongEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<UnsignedLongType.UnsignedLongEncoding> getAllEncodings()

### write

public final void write(UnsignedLong val)

Specified by:
  `write` in interface `AMQPType<T>`